<?php
/**
 * jeGroupBuy package
 * @author J-Extension <contact@jextn.com>
 * @link http://www.jextn.com
 * @copyright (C) 2010 - 2011 J-Extension
 * @license GNU/GPL, see LICENSE.php for full license.
**/
// no direct access
defined('_JEXEC') or die('Restricted access');
// Include library dependencies
jimport('joomla.filter.input');

class Tablestores extends JTable
{

	var $id = null;
	var $shop_name = null;
	var $store_id = null;
	var $owner = null;
	var $contact_number = null;
	var $email = null;
	var $shop_url = null;
	var $published = null;
	var $address = null;
	var $store_logo = null;

	function __construct(& $db)
	{
		parent::__construct('#__jegroupbuy_stores', 'id', $db);
	}

	function bind($array, $ignore = '')
	{
		if (key_exists( 'params', $array ) && is_array( $array['params'] ))
		{
			$registry = new JRegistry();
			$registry->loadArray($array['params']);
			$array['params'] = $registry->toString();
		}

		return parent::bind($array, $ignore);
	}

	function check()
	{
		return true;
	}
}
?>